/**
 *  Copyright © 2026, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.transfer;

import com.google.gson.Gson;
import net.javacomm.protocol.CBlock;



public class TransferTooltip {

  private String pseudoid;
  private boolean tooltip;
  private CBlock cblock;

  public CBlock getCblock() {
    return cblock;
  }



  public String getPseudoid() {
    return pseudoid;
  }



  public boolean isTooltip() {
    return tooltip;
  }



  public void setCblock(CBlock cblock) {
    this.cblock = cblock;
  }



  public void setPseudoid(String pseudoid) {
    this.pseudoid = pseudoid;
  }



  public void setTooltip(boolean tooltip) {
    this.tooltip = tooltip;
  }



  @Override
  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }

}
